Debug information of cached pages break JSON output
2021-09-03 15:01 - Benni Mack

Status: Closed Start date: 2021-09-03
Priority: Should have Due date:

Assignee: Benni Mack % Done: 100%
Target version: 11.4

TYPO3 Version: 11 Complexity:
Tags:

Description

When having “config.debug = 1° enabled, content formatted
as JSON breaks.

It should rather be sent as HTTP Response Header

Associated revisions

Revision b3ff9172 - 2021-09-06 11:21 - Benni Mack
[TASK] Send debug information of cached page as HTTP Header

If config.debug = 1 is added, and a page is loaded

from cache, TYPOS usually sent

"<!-- Cached page generated 03-09-21 09:48. Expires 04-09-21 09:48 -->"
at the end of the HTTP Response Body.

This is especially painful when dealing with JSSON output,
where this breaks output if TYPO3 should return JSON (e.g.
from a USER function).

This change sends the same information as a HTTP
Response Header named "X-TYPO3-Debug-Cache" including
the same information, and not touching the actual rendering.

Resolves: #95103

Releases: master

Change-Id: 1737081ae4ac4a079c038c61cc5d37b57e81ab045
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/70885
Reviewed-by: Oliver Bartsch <bo@cedev.de>

Reviewed-by: Guido Schmechel <guido.schmechel@brandung.de>
Reviewed-by: Marcin Sagol <marcin@soee.pl>

Reviewed-by: HelImut Hummel <typo3@helhum.io>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Guido Schmechel <guido.schmechel@brandung.de>
Tested-by: Helmut Hummel <typo3@helhum.io>

History

#1 - 2021-09-03 15:02 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70885

#2 - 2021-09-03 15:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70885

#3 - 2021-09-03 15:09 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/70885

#4 - 2021-09-06 11:32 - Benni Mack
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100
Applied in changeset b3ff91721142c896436d9a61805329653b5dc94f.

#5 - 2021-09-07 07:31 - Benni Mack

- Status changed from Resolved to Closed
